Delen via


Sql Resources - Retrieve Continuous Backup Information

Haalt continue back-upgegevens op voor een containerresource.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DocumentDB/databaseAccounts/{accountName}/sqlDatabases/{databaseName}/containers/{containerName}/retrieveContinuousBackupInformation?api-version=2025-10-15

URI-parameters

Name In Vereist Type Description
accountName
path True

string

minLength: 3
maxLength: 50
pattern: ^[a-z0-9]+(-[a-z0-9]+)*

Accountnaam van de Cosmos DB-database.

containerName
path True

string

Cosmos DB containernaam.

databaseName
path True

string

Naam van de Cosmos DB-database.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string

minLength: 1

De id van het doelabonnement.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Type Description
location

string

De naam van de locatie voor het herstellen van continue back-ups.

Antwoorden

Name Type Description
200 OK

BackupInformation

De bewerking voor het ophalen van back-upgegevens in de Sql-container is voltooid.

202 Accepted

De bewerking voor het ophalen van back-upgegevens van de sql-container wordt asynchroon voltooid.

Other Status Codes

CloudError

Foutreactie waarin wordt beschreven waarom de bewerking is mislukt.

Beveiliging

azure_auth

Azure Active Directory OAuth2-stroom

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

CosmosDBSqlContainerBackupInformation

Voorbeeldaanvraag

POST https://management.azure.com/subscriptions/subid/resourceGroups/rgName/providers/Microsoft.DocumentDB/databaseAccounts/ddb1/sqlDatabases/databaseName/containers/containerName/retrieveContinuousBackupInformation?api-version=2025-10-15

{
  "location": "North Europe"
}

Voorbeeldrespons

{
  "continuousBackupInformation": {
    "latestRestorableTimestamp": "2021-02-05T02:40:50Z"
  }
}
Location: https://centraluseuap.management.azure.com/subscriptions/d1eb41bc-1b7f-4404-bd2a-8568c222852d/providers/Microsoft.DocumentDB/locations/centraluseuap/operationsStatus/fdd04b7b-86d5-460f-b19e-386230348bcc?api-version=2025-10-15
Azure-AsyncOperation: https://centraluseuap.management.azure.com/subscriptions/d1eb41bc-1b7f-4404-bd2a-8568c222852d/providers/Microsoft.DocumentDB/locations/centraluseuap/operationsStatus/fdd04b7b-86d5-460f-b19e-386230348bcc?api-version=2025-10-15

Definities

Name Description
BackupInformation

Back-upinformatie van een bron.

CloudError

Een foutreactie van de service.

ContinuousBackupInformation

Informatie over de status van continue back-ups.

ContinuousBackupRestoreLocation

Eigenschappen van de regionale herstelbare rekening.

ErrorResponse

Reactie op fout.

BackupInformation

Back-upinformatie van een bron.

Name Type Description
continuousBackupInformation

ContinuousBackupInformation

Informatie over de status van continue back-ups.

CloudError

Een foutreactie van de service.

Name Type Description
error

ErrorResponse

Reactie op fout.

ContinuousBackupInformation

Informatie over de status van continue back-ups.

Name Type Description
latestRestorableTimestamp

string

Het meest recente herstelbare tijdstempel voor een resource.

ContinuousBackupRestoreLocation

Eigenschappen van de regionale herstelbare rekening.

Name Type Description
location

string

De naam van de locatie voor het herstellen van continue back-ups.

ErrorResponse

Reactie op fout.

Name Type Description
code

string

Foutcode.

message

string

Foutbericht dat aangeeft waarom de bewerking is mislukt.